#!/bin/bash

oldPWD=$(pwd)
cd /home/nat/Work/ns-3-dev-git

for i in 1500000 5000000 10000000; do 
  for j in 32 64 128; do
      for enab in mw nomw; do
          for dur in short long; do
              for file in $(ls | grep \\-21\\- | grep ${enab} | grep ${dur} | grep ${i} | grep ${j})
                do
                    cat $file | cut -d$'\t' -f6 | tail -n1 >> $oldPWD/data/time-${dur}-$j-$i-$enab.data
                done
         done
     done
  done
done

cd $oldPWD

for enab in mw nomw; do
    for i in 1500000 5000000 10000000; do
        for dur in short long; do
            echo -en "#Nodes\tAvgDur(ms)\n" >> data/time-$dur-$i-$enab.rtp
            for j in 32 64 128; do
                avg=$(cat $oldPWD/data/time-$dur-$j-$i-$enab.data | awk '{ sum += $1; n++ } END { if (n > 0) print sum / n; }')

                echo -en "${j}\t${avg}\n" >> data/time-$dur-$i-$enab.rtp
            done
        done
    done
done

rm data/*.data
