#!/bin/bash

#for i in Cubic Bic HighSpeed NewReno Noordwijk Hybla CubicMw BicMw HighSpeedMw \
#         NewRenoMw NoordwijkMw HyblaMw; do
for i in Cubic CubicMw; do

    for j in 2 4 8 16 32 64 128; do
        cat scal_master.def | sed "s/@@/${j}/g" | sed "s/##/${i}/g" > scal_${i}_${j}.ini

        n=$(echo ${j}-1 | bc)

        for k in scal_${i}_${j}.ini; do
            for h in $(seq 0 ${n}); do

                echo "[$h]" >> $k
                echo "SocketType = Tcp${i}" >> $k
                echo "StartTime = $(echo ${h}*0.1 | bc)" >> $k
                echo "StopTime = 61.0" >> $k
                echo "OverheadDelay = 5ms" >> $k
                echo "DataRate = 2500KBps" >> $k
                echo "" >> $k
            done
        done
    done
done

sed -i "s/EnableC2ML\ =\ false/EnableC2ML\ =\ true/g" scal_*Mw*.ini

