#!/bin/bash

echo -en "set output \"tradeoff-nomw.eps\"\n" >> tmp.gnuplot
echo "plot \"data/tradeoff-nomw.rtp\" u (\$1*500/1e6):(\$3/1e6):(1.0) title \"Tx Data\" w l lt rgb \"#A00000\" lw 3, \
    \"data/tradeoff-nomw.rtp\" u (\$1*500/1e6):(\$4/1e3) axis x1y2 title \"Max Queue Occupancy\" w boxes ls 2" >> tmp.gnuplot
    #\"data/tradeoff-nomw.rtp\" u (\$1/1000):(\$4/1e3) axis x1y2 title \"Max Queue Occupancy\" w l lt rgb \"#00A000\" lw 3" >> tmp.gnuplot
    # decomment for histograms

cat tradeoff.gnuplot tmp.gnuplot | gnuplot
rm -f tmp.gnuplot

echo -en "set output \"tradeoff-mw.eps\"\n" >> tmp.gnuplot
echo "plot \"data/tradeoff-mw.rtp\" u (\$1*500/1e6):(\$3/1e6):(1.0) title \"Tx Data\" w l lt rgb \"#A00000\" lw 3, \
    \"data/tradeoff-mw.rtp\" u (\$1*500/1e6):(\$4/1e3) axis x1y2 title \"Max Queue Occupancy\" w boxes ls 2" >> tmp.gnuplot
    #\"data/tradeoff-mw.rtp\" u (\$1/1000):(\$4/1e3) axis x1y2 title \"Max Queue Occupancy\" w l lt rgb \"#00A000\" lw 3" >> tmp.gnuplot
    # decomment for histograms

cat tradeoff.gnuplot tmp.gnuplot | gnuplot
rm -f tmp.gnuplot

