#!/bin/bash

echo -en "set output \"rtt-time-nomw.eps\"\n" >> tmp.gnuplot
echo "plot \"data/5_nomw_rtt-rtt-0.rtp\" u 1:(\$2):(1.0) title \"Flow 1\" w l ls 2, \
    \"data/5_nomw_rtt-rtt-1.rtp\" u 1:(\$2):(1.0) title \"Flow 2\" w l ls 3, \
    \"data/5_nomw_rtt-rtt-2.rtp\" u 1:(\$2):(1.0) title \"Flow 3\" w l ls 4, \
    \"data/5_nomw_rtt-rtt-3.rtp\" u 1:(\$2):(1.0) title \"Flow 4\" w l ls 5, \
    \"data/5_nomw_rtt-rtt-4.rtp\" u 1:(\$2):(1.0) title \"Flow 5\" w l ls 6" >> tmp.gnuplot

cat rtt_time.gnuplot tmp.gnuplot | gnuplot
rm -f tmp.gnuplot

echo -en "set output \"rtt-time-mw.eps\"\n" >> tmp.gnuplot
echo "plot \"data/5_mw_rtt-rtt-0.rtp\" u 1:(\$2):(1.0) title \"Flow 1\" w l ls 2, \
    \"data/5_mw_rtt-rtt-1.rtp\" u 1:(\$2):(1.0) title \"Flow 2\" w l ls 3, \
    \"data/5_mw_rtt-rtt-2.rtp\" u 1:(\$2):(1.0) title \"Flow 3\" w l ls 4, \
    \"data/5_mw_rtt-rtt-3.rtp\" u 1:(\$2):(1.0) title \"Flow 4\" w l ls 5, \
    \"data/5_mw_rtt-rtt-4.rtp\" u 1:(\$2):(1.0) title \"Flow 5\" w l ls 6" >> tmp.gnuplot

cat rtt_time.gnuplot tmp.gnuplot | gnuplot
rm -f tmp.gnuplot
